Eclipse Platform Release 3.7

## org.eclipse.text.undo
Class DocumentUndoEvent

    java.lang.Object
      org.eclipse.text.undo.DocumentUndoEvent

    public class DocumentUndoEvent

extends Object

Describes document changes initiated by undo or redo.

Clients are not supposed to subclass or create instances of this class.

Since:
  3.2
See Also:
  `IDocumentUndoManager`, `IDocumentUndoListener`
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

Field Summary
`static int` `ABOUT_TO_REDO` Indicates that the described document event is about to be redone.
`static int` `ABOUT_TO_UNDO` Indicates that the described document event is about to be undone.
`static int` `COMPOUND` Indicates that the described document event is a compound undo or redo event.
`static int` `REDONE` Indicates that the described document event has been redone.
`static int` `UNDONE` Indicates that the described document event has been undone.

Method Summary
`IDocument` `getDocument()` Returns the changed document.
`int` `getEventType()` Returns the type of event that is occurring.
`int` `getOffset()` Returns the offset of the change.
`String` `getPreservedText()` Returns the text that has been replaced.
`Object` `getSource()` Returns the source that triggered this event.
`String` `getText()` Returns the text that has been inserted.
`boolean` `isCompound()` Returns whether the change was a compound change or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABOUT_TO_UNDO

    public static final int ABOUT_TO_UNDO

  Indicates that the described document event is about to be undone.

  See Also:
    Constant Field Values

### ABOUT_TO_REDO

    public static final int ABOUT_TO_REDO

  Indicates that the described document event is about to be redone.

  See Also:
    Constant Field Values

### UNDONE

    public static final int UNDONE

  Indicates that the described document event has been undone.

  See Also:
    Constant Field Values

### REDONE

    public static final int REDONE

  Indicates that the described document event has been redone.

  See Also:
    Constant Field Values

### COMPOUND

    public static final int COMPOUND

  Indicates that the described document event is a compound undo or redo event.

  See Also:
    Constant Field Values

Method Detail

### getDocument

    public IDocument getDocument()

  Returns the changed document.

  Returns:
    the changed document

### getOffset

    public int getOffset()

  Returns the offset of the change.

  Returns:
    the offset of the change

### getText

    public String getText()

  Returns the text that has been inserted.

  Returns:
    the text that has been inserted

### getPreservedText

    public String getPreservedText()

  Returns the text that has been replaced.

  Returns:
    the text that has been replaced

### getEventType

    public int getEventType()

  Returns the type of event that is occurring.

  Returns:
    the bit mask that indicates the type (or types) of the event

### getSource

    public Object getSource()

  Returns the source that triggered this event.

  Returns:
    the source that triggered this event.

### isCompound

    public boolean isCompound()

  Returns whether the change was a compound change or not.

  Returns:
    `true` if the undo or redo change is a compound change, `false` if it is not

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.